Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class FullTextFilterDefMapping

    java.lang.Object
      org.hibernate.search.cfg.FullTextFilterDefMapping

    public class FullTextFilterDefMapping

extends java.lang.Object

Mapping class responsible for collecting data for constructing FullTextFilterDef annotation.

Constructor Summary
`FullTextFilterDefMapping(SearchMapping mapping, java.lang.String name, java.lang.Class<?> impl)`

Method Summary
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`FullTextFilterDefMapping` | `cache(FilterCacheModeType cache)` Add cache implementation for fulltextfilterdef mapping
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FullTextFilterDefMapping` | `fullTextFilterDef(java.lang.String name, java.lang.Class<?> impl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextFilterDefMapping

    public FullTextFilterDefMapping(SearchMapping mapping,
                                    java.lang.String name,
                                    java.lang.Class<?> impl)

Method Detail

### cache

    public FullTextFilterDefMapping cache(FilterCacheModeType cache)

  Add cache implementation for fulltextfilterdef mapping

  Parameters:
    `cache` -
  Returns:
    FullTextFilterDefMapping

### fullTextFilterDef

    public FullTextFilterDefMapping fullTextFilterDef(java.lang.String name,
                                                      java.lang.Class<?> impl)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.